# Uses of Class
net.shibboleth.idp.authn.spnego.impl.GSSContextAcceptor

Packages that use GSSContextAcceptor
Package
Description
net.shibboleth.idp.authn.spnego.impl
Implementation of SPNEGO authentication flow.

## Uses of GSSContextAcceptor in net.shibboleth.idp.authn.spnego.impl

Fields in net.shibboleth.idp.authn.spnego.impl declared as GSSContextAcceptor
Modifier and Type
Field
Description
`private GSSContextAcceptor`
SPNEGOContext.`contextAcceptor`
Utility class that manages credentials and state for GSS loop.
Methods in net.shibboleth.idp.authn.spnego.impl that return GSSContextAcceptor
Modifier and Type
Method
Description
`protected GSSContextAcceptor`
SPNEGOAuthnController.`createGSSContextAcceptor(SPNEGOContext spnegoCtx)`
Create a new `GSSContextAcceptor` object.
`GSSContextAcceptor`
SPNEGOContext.`getContextAcceptor()`
Get the context acceptor for the current request.
Methods in net.shibboleth.idp.authn.spnego.impl with parameters of type GSSContextAcceptor
Modifier and Type
Method
Description
`void`
SPNEGOContext.`setContextAcceptor(GSSContextAcceptor acceptor)`
Set the context acceptor for the current request.